%% This function computes the joint Probabily of a class and a visual word.
function Pcx=Do_compute_Pcw(histogram,trainset,labels)

Pcw=zeros(size(histogram,1),size(labels,2));
for j=1:size(labels,2)
    % The joint probability p(x,c) is estimated from the data by counting the number of occurences of each
    % visual word in the dictionary in each category
    Pcw(:,j)=sum(histogram(:,(trainset.*(labels(:,j)==1))>0)/sum(labels(:,j)==1),2);
end
%Normalization step
Pcx=Pcw./sum(Pcw(:));