function [predict_label,accuracy,dec_values]=Do_Classification_Portmanteau(histogram,dataset_param)

trainset=cell2mat(struct2cell(dataset_param.trainset));
testset=cell2mat(struct2cell(dataset_param.testset));
labels=cell2mat(struct2cell(dataset_param.labels));

traindata=histogram(:,trainset>0);
testdata=histogram(:,testset>0);

for i=1:size(labels,2)
    %%%%% train and test Ground-truth
    %  %%%%%%%%% for Training  GroundTruth %%%%%%%%%%%%%
    train_truth=zeros(size(labels,1),1);
    a=(trainset.*(labels(:,i)==1))>0;
    bcd=find(a==1);
    train_truth(bcd,:)=1;
    train_truth=train_truth(trainset>0,:);
    
    %  %%%%%%%%%%%% for groundTruth test %%%%%%%%%%%%%%%%%%%
    test_truth=zeros(size(labels,1),1);
    a=(testset.*(labels(:,i)==1))>0;
    bcd=find(a==1);
    test_truth(bcd,:)=1;
    test_truth=test_truth(testset>0,:);
    
    options='-t 4 -s 0 -b 1 -c 1';
    model=svmtrain(train_truth,traindata',options);
    [predict_label, accuracy , dec_values] = svmpredict(test_truth,testdata', model,'-b 1');
    
    pred_a=find(predict_labels(:)==1);
    true_b=find(test_truth(:)==1);
    chk=ismember(true_b,pred_a);
    num_corr=sum(chk>0);
    tot_num=length(true_b);
    acc_clss(i)=num_corr*100/tot_num;
    dec_values_all{i}=dec_values(:,2);
    
        
        
    
end